System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Data.ITableMappingCollection System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataTableMappingCollectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.ListBindable(false) To be added

A collection of objects. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class. This new instance is empty, that is, it does not yet contain any objects.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds an that is a table mapping to the collection.

  The index of the DataTableMapping object added to the collection.

  A DataTableMapping object to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Data.Common.DataTableMapping `` `` To be added

  Adds a object to the collection when given a source table name and a table name.

  The object that was added to the collection.

  The case-sensitive name of the source table to map from. The name, which is not case-sensitive, of the table to map to. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Copies the elements of the specified to the end of the collection.

  An of values to add to the collection.
- Method
  System.Void `` To be added

  Copies the elements of the specified array to the end of the collection.

  The array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the given object exists in the collection.

  true if this collection contains the specified ; otherwise false.

  An that is the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether a object with the specified source table name exists in the collection.

  true if the collection contains a object with this source table name; otherwise false.

  The case-sensitive source table name containing the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the elements of the to the specified array.

  An to which to copy the elements. The starting index of the array. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to the specified array.

  A to which to copy the elements. The starting index of the array.
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  System.Data.Common.DataTableMapping `` To be added

  Gets the object with the specified table name.

  The object with the specified table name.

  The name, which is not case-sensitive, of the table to find. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerator To be added

  Gets an enumerator that can iterate through the collection.

  An that can be used to iterate through the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.Common.DataTableMapping `` `` `` ``

  If the exists in the collection, it is returned.

  If the does not exist in the collection for a given , the following happens:

  MissingMappingAction

  Action taken

  Passthrough

  Creates a object with the given as the source table name and as the table name. The created object is not added to the collection.

  Error

  An exception is generated. The parameter is ignored.

  Ignore

  Gets null. The parameter is ignored.

  Gets a object with the specified source table name and table name, using the given .

  A object.

  The collection to search. The case-sensitive name of the mapped source table. The name, which is not case-sensitive, of the mapped table. One of the values. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Int32 `` To be added

  Gets the location of the specified object within the collection.

  The zero-based location of the specified object within the collection.

  An that is the object to find. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the object with the specified source table name.

  The zero-based location of the object with the specified source table name.

  The case-sensitive name of the source table. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the object with the specified table name.

  The zero-based location of the object with the given table name, or -1 if the object does not exist in the collection.

  The name, which is not case-sensitive, of the DataSet table to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Inserts a object into the at the specified index.

  The zero-based index of the object to insert. The object to insert.
- Method
  System.Void `` `` To be added

  Inserts a object into the at the specified index.

  A object.

  The zero-based index of the object to insert. The object to insert. 1.0.5000.0 2.0.0.0
- Property
  System.Data.Common.DataTableMapping `` To be added: an object of type 'int' To be added To be added: an object of type 'DataTableMapping' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.Common.DataTableMapping `` To be added: an object of type 'string' To be added To be added: an object of type 'DataTableMapping' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Void `` To be added.

  Removes the specified object from the collection.

  The object to remove.
- Method
  System.Void `` To be added

  Removes the specified object from the collection.

  The object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object located at the specified index from the collection.

  The zero-based index of the object to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object with the specified source table name from the collection.

  The case-sensitive source table name to find. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value indicating whether access to the is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets an object that can be used to synchronize access to the .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value indicating whether the has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets a value indicating whether the is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.ITableMapping `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Adds a table mapping to the collection.

  A reference to the newly-mapped object.

  The case-sensitive name of the source table. The name of the table.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.ITableMapping ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For more information, see .

  Gets the TableMapping object with the specified table name.

  The TableMapping object with the specified DataSet table name.

  The name of the DataSet table within the collection.
- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.